Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class DiagramTypeSupport

    java.lang.Object
      biouml.model.DiagramTypeSupport

All Implemented Interfaces:
  DiagramType

Direct Known Subclasses:
  CellMLDiagramType, EModelDiagramType, GinSimDiagramType, PathwayDiagramType, SbmlDiagramType

public class DiagramTypeSupport
extends java.lang.Object
implements DiagramType

Stub implementation of DiagramType interface. DefaultDiagramViewBuilder and DefaultSemanticController are used. The class also defines some usefull procedure to get the diagram legend.

Field Summary
`protected DiagramViewBuilder` | `diagramViewBuilder`
`protected SemanticController` | `semanticController`

Constructor Summary
`DiagramTypeSupport()`

Method Summary
`DiagramFilter` | `getDiagramFilter(Diagram diagram)`
`DiagramViewBuilder` | `getDiagramViewBuilder()`
`java.lang.Class[]` | `getEdgeTypes()`
`java.net.URL` | `getLegend()` Returns URL for HTML file that contains the legend for the diagram type.
`java.lang.Class[]` | `getNodeTypes()`
`SemanticController` | `getSemanticController()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### diagramViewBuilder

    protected DiagramViewBuilder diagramViewBuilder

### semanticController

    protected SemanticController semanticController

Constructor Detail

### DiagramTypeSupport

    public DiagramTypeSupport()

Method Detail

### getNodeTypes

    public java.lang.Class[] getNodeTypes()

  Specified by:
    `getNodeTypes` in interface `DiagramType`

### getEdgeTypes

    public java.lang.Class[] getEdgeTypes()

  Specified by:
    `getEdgeTypes` in interface `DiagramType`

### getDiagramViewBuilder

    public DiagramViewBuilder getDiagramViewBuilder()

  Specified by:
    `getDiagramViewBuilder` in interface `DiagramType`

### getDiagramFilter

    public DiagramFilter getDiagramFilter(Diagram diagram)

  Specified by:
    `getDiagramFilter` in interface `DiagramType`

### getSemanticController

    public SemanticController getSemanticController()

  Specified by:
    `getSemanticController` in interface `DiagramType`

### getLegend

    public java.net.URL getLegend()

  Returns URL for HTML file that contains the legend for the diagram type. It is suggested that legend located in the direcotory "resources" relative diagram class and legend HTML file has name quals to digaram type class name. For example legend file "OntologyDiagramType.html" for biouml.standard.diagram.OntologyDiagramType class should be located at biouml/standard/diagram/resources subdirectory.

  Specified by:
    `getLegend` in interface `DiagramType`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.